Bug 807271 - Client log reports every update on the "lk-version" when client grace time is expired
Client log reports every update on the "lk-version" when client grace time is...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: protocol (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Junaid
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-27 08:04 EDT by Shwetha Panduranga
Modified: 2013-08-06 18:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attaching fuse mount log file (624.78 KB, text/x-log)
2012-03-27 08:04 EDT, Shwetha Panduranga
no flags Details

  None (edit)
Description Shwetha Panduranga 2012-03-27 08:04:45 EDT
Created attachment 573035 [details]
Attaching fuse mount log file

Description of problem:
when server disconnects,client keeps trying to check if the server has come online to reconnect to the server for every certain period of time. when the timer is expired the client increments the lk-version. This operation need not be performed.

Version-Release number of selected component (if applicable):
mainline

How reproducible:
often

Steps to Reproduce:
1.Create a replicate volume. Start the volume
2.Create fuse, nfs mounts. Start write operations on the mount point
3. Bring down one of the brick 
4. Client log keeps reporting the update of lk-version as shown below. 
  
Actual results:
[2012-03-27 18:36:13.614569] W [socket.c:1521:__socket_proto_state_machine] 0-dstore-client-0: reading from socket failed. Error (Transport endpoint is not connected), peer (192.168.2.35:24009)
[2012-03-27 18:36:13.641103] I [client.c:136:client_register_grace_timer] 0-dstore-client-0: Registering a grace timer
[2012-03-27 18:36:13.641158] I [client.c:2096:client_rpc_notify] 0-dstore-client-0: disconnected
[2012-03-27 18:36:22.601509] W [socket.c:204:__socket_rwv] 0-dstore-client-3: readv failed (Connection reset by peer)
[2012-03-27 18:36:22.619491] W [socket.c:1521:__socket_proto_state_machine] 0-dstore-client-3: reading from socket failed. Error (Connection reset by peer), peer (192.168.2.36:24010)

[2012-03-27 18:36:24.213168] W [client.c:112:client_grace_timeout] 0-dstore-client-0: client grace timer expired, updating the lk-version to 2
[2012-03-27 18:36:24.214451] E [socket.c:1724:socket_connect_finish] 0-dstore-client-0: connection to 192.168.2.35:24009 failed (Connection refused)
[2012-03-27 18:36:24.214579] I [client.c:136:client_register_grace_timer] 0-dstore-client-0: Registering a grace timer
[2012-03-27 18:36:33.800410] W [client.c:112:client_grace_timeout] 0-dstore-client-3: client grace timer expired, updating the lk-version to 2
[2012-03-27 18:36:33.800806] I [client.c:136:client_register_grace_timer] 0-dstore-client-3: Registering a grace timer
Comment 1 Anand Avati 2012-03-28 05:59:46 EDT
CHANGE: http://review.gluster.com/3020 (protocol/client: Set grace_timer_needed flag to false on a disconnect.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Shwetha Panduranga 2012-05-04 04:17:37 EDT
Bug is fixed . verified on 3.3.0qa39

Note You need to log in before you can comment on or make changes to this bug.